curl --request PUT \
--url https://cloudlab.scispot.io/sequences/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "GFP Gene",
"type": "DNA",
"sequence": "ATGCGTAAAGGCGAGGAAC",
"description": "Updated GFP coding sequence tracked in Sample Manager",
"circular": false
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'GFP Gene',
type: 'DNA',
sequence: 'ATGCGTAAAGGCGAGGAAC',
description: 'Updated GFP coding sequence tracked in Sample Manager',
circular: false
})
};
fetch('https://cloudlab.scispot.io/sequences/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloudlab.scispot.io/sequences/{uuid}"
payload = {
"name": "GFP Gene",
"type": "DNA",
"sequence": "ATGCGTAAAGGCGAGGAAC",
"description": "Updated GFP coding sequence tracked in Sample Manager",
"circular": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"success": true,
"uuid": "<uuid>",
"type": "DNA"
}{
"success": false,
"message": "Invalid Authentication Token"
}{
"success": false,
"message": "Missing Authentication Token"
}{
"success": false,
"message": "Validation error"
}{
"success": false,
"message": "Operation failed"
}Update Sequence
This endpoint updates the sequences that denoted by the uuid from the url. The payload must contain a name, type and sequence even if it is the same as before the update.
Path uuid identifies the sequence. In addition to name, provide sequence or sequenceData. type is optional.
Request body must include sequence content using either sequence or sequenceData.
curl --request PUT \
--url https://cloudlab.scispot.io/sequences/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "GFP Gene",
"type": "DNA",
"sequence": "ATGCGTAAAGGCGAGGAAC",
"description": "Updated GFP coding sequence tracked in Sample Manager",
"circular": false
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'GFP Gene',
type: 'DNA',
sequence: 'ATGCGTAAAGGCGAGGAAC',
description: 'Updated GFP coding sequence tracked in Sample Manager',
circular: false
})
};
fetch('https://cloudlab.scispot.io/sequences/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloudlab.scispot.io/sequences/{uuid}"
payload = {
"name": "GFP Gene",
"type": "DNA",
"sequence": "ATGCGTAAAGGCGAGGAAC",
"description": "Updated GFP coding sequence tracked in Sample Manager",
"circular": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"success": true,
"uuid": "<uuid>",
"type": "DNA"
}{
"success": false,
"message": "Invalid Authentication Token"
}{
"success": false,
"message": "Missing Authentication Token"
}{
"success": false,
"message": "Validation error"
}{
"success": false,
"message": "Operation failed"
}Authorizations
Personal access token from Scispot Account → Personal Tokens
Path Parameters
Body
- Option 1
- Option 2
The updated name of the sequence. Must be provided even if unchanged.
The updated raw sequence content. Provide either sequence or sequenceData, even if unchanged.
The sequence type. One of: DNA, RNA, OLIGO, PROTEIN (aliases PEPTIDE/AA/AMINO_ACID), MIXED.
Alias for sequence; the updated raw sequence content. Provide either sequence or sequenceData.
(Optional) An updated free-text description of the sequence.
(Optional) Whether the sequence is circular. Ignored (forced to false) for protein sequences.
(Optional) The sequence UUID; normally taken from the path and does not need to be supplied in the body.
(Optional) Feature annotations. Note - annotations are ignored on update; use POST /sequences/{uuid}/annotations to modify annotations.
Show child attributes
Show child attributes
